#----------------------------------------------------------------------
# common.mak --
#
#	This file contains a configuration for Microsoft Visual C++ 2.0.
#	nmake is the Makefile parser.  This should be included by all
#	Makefiles as the first thing they do.
#----------------------------------------------------------------------

#----------------------------------------------------------------------
#------------ Make sure a known configuration is selected -------------
#----------------------------------------------------------------------
!IF "$(CFG)" == ""
CFG=Debug
!MESSAGE No configuration specified. Defaulting to Debug.
!ENDIF 

!IF "$(CFG)" != "Debug" && "$(CFG)" != "Release"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE on this makefile
!MESSAGE by defining the macro CFG on the command line.  For example:
!MESSAGE 
!MESSAGE NMAKE /f "Makefile" CFG="Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "Debug" (based on "Win32 Dynamic Link Library")
!MESSAGE "Release" (based on "Win32 Dynamic Link Library")
!MESSAGE 
!ERROR Invalid configuration specified.
!ENDIF 

!IF "$(MACHINE)" == ""
MACHINE=i386
!MESSAGE No MACHINE type specified.  Defaulting to i386.
!ENDIF

#----------------------------------------------------------------------
# RSC  => Resource compiler
# CPP  => C/C++ compiler
# LINK => Linker
# LIB  => Librarian, equivalent to Unix ar
#----------------------------------------------------------------------
RSC=rc.exe
CPP=cl.exe
LINK=link.exe
LIB=lib


DIR=$(CFG)
DIRMADE=$(DIR)\dir.made
CPP_OBJS=$(DIR)/
CPP_DEBUG=/D "_DEBUG" /Od
CPP_RELEASE=/D "NDEBUG" /O2
CPP_INCLUDES=/I "../include"
CPP_DEFINES=/D "_WINDOWS" /D "WIN32" /D "main"="Tcl_Main" \
	    /D "TB_EXPAND" /D "HAVE_UNISTD_H" /D HAVE_SYS_SELECT_H \
	    /D "POSTSCRIPT"
CPP_FLAGS=/W3 /Zi /YX /MD /c /FR"$(DIR)/" /Fp"$(DIR)/tk36.pch" \
	    /Fo"$(DIR)/" /Fd"$(DIR)/"
RSC_DEBUG=/d "_DEBUG"
RSC_RELEASE=/d "NDEBUG"

LINK_DEBUG=/DEBUG /INCREMENTAL:no
LINK_RELEASE=/INCREMENTAL:no
LINK_SHARED=tcl73.lib lxlib.lib user32.lib gdi32.lib wsock32.lib \
	/NOLOGO /VERSION:7 /DLL /MACHINE:$(MACHINE) /SUBSYSTEM:windows

DEF_FILE=tk36.def
DEF_FLAGS=/DEF:$(DEF_FILE)

!IF  "$(CFG)" == "Debug"

# Debug Flags
CPP_PROJ=$(CPP_INCLUDES) $(CPP_DEFINES) $(CPP_FLAGS) $(CPP_DEBUG)
RSC_PROJ=$(RSC_DEBUG)
LINK_FLAGS=$(LINK_SHARED) $(LINK_DEBUG)

!ELSEIF "$(CFG)" == "Release"

# Release Flags
CPP_PROJ=$(CPP_INCLUDES) $(CPP_DEFINES) $(CPP_FLAGS) $(CPP_RELEASE)
RSC_PROJ=$(RSC_RELEASE)
LINK_FLAGS=$(LINK_SHARED) $(LINK_RELEASE)

!ELSE

# Non Debug/Release flags
CPP_PROJ=$(CPP_INCLUDES) $(CPP_DEFINES) $(CPP_FLAGS) $(CPP_RELEASE)
RSC_PROJ=$(RSC_RELEASE)
LINK_FLAGS=$(LINK_SHARED) $(LINK_RELEASE)

!ENDIF

